Subject: [rfc-i] List-Unsubscribe

From: johnfaltermeier <[email-masked]>
Date: Sat, 29 Feb 2020 11:59:30 -0800

-------- Original message --------From: [email-masked] Date: 2/29/2020  6:12 AM  (GMT-08:00) To: [email-masked] Subject: rfc-interest Digest, Vol 184, Issue 13 Send rfc-interest mailing list submissions to	[email-masked] subscribe or unsubscribe via the World Wide Web, visit	https://www.rfc-editor.org/mailman/listinfo/rfc-interestor, via email, send a message with subject or body 'help' to	[email-masked] can reach the person managing the list at	[email-masked] replying, please edit your Subject line so it is more specificthan "Re: Contents of rfc-interest digest..."Today's Topics:   1. Re: Feedback solicited: Update tags draft (Donald Eastlake)   2. Re: Feedback solicited: Update tags draft (Suresh Krishnan)   3. Re: Feedback solicited: Update tags draft (Suresh Krishnan)   4. Re: Feedback solicited: Update tags draft (Eric Rescorla)   5. Re: Feedback solicited: Update tags draft (Carsten Bormann)----------------------------------------------------------------------Message: 1Date: Fri, 28 Feb 2020 15:41:30 -0500From: Donald Eastlake <[email-masked]>To: Mirja Kuehlewind <[email-masked]>Cc: Robert Sparks <[email-masked]>, RFC Interest	<[email-masked]>Subject: Re: [rfc-i] Feedback solicited: Update tags draftMessage-ID:	<[email-masked]>Content-Type: text/plain; charset="UTF-8"I think this change is a great idea. The new tags are so much clearerand more straightforward than "Updates" that the only reason I see foran update tag is due to documents that are in process or the like, sayanything in WG Last Call or a later stage (IETF Last Call for non-WGdrafts). But if people really want, I wouldn't object to a period ofup to a year when new document (those in a state before publicationrequested) could use either Updates or the new tags.Thanks,Donald=============================== Donald E. Eastlake 3rd   +1-508-333-2270 (cell) 2386 Panoramic Circle, Apopka, FL 32703 USA [email-masked] Fri, Feb 28, 2020 at 8:34 AM Mirja Kuehlewind <[email-masked]> wrote:>> Thanks everybody! As noted in the draft if updates should be continued or not is an open discussion point. Thanks for your feedback. We?d definitely happy to get even more opinions on this!>> Mirja>>>> > On 27. Feb 2020, at 22:30, Robert Sparks <[email-masked]> wrote:> >> >> > On 2/27/20 2:44 PM, Paul Kyzivat wrote:> >> Stephen,> >>> >> On 2/26/20 7:08 PM, Stephen Farrell wrote:> >>>> >>>> >>> On 26/02/2020 23:52, Suresh Krishnan wrote:> >>>> Now with a link to the draft :-)> >>>>> >>>> https://tools.ietf.org/html/draft-kuehlewind-update-tag-01> >>>> >>> Best of luck with it. You may need it;-)> >>>> >>> I'd be very supportive of defining these new tags. I'm> >>> not at all keen on discontinuing the use of UPDATEs> >>> until this new stuff has been shown to work and to have> >>> been adopted by authors/WGs. So allow some overlap (e.g.> >>> 3 years) after which these new tags are discontinued> >>> unless UPDATEs is instead discontinued. Or something> >>> like that.> >>>> >>> If you wanted to do this with no overlap, I'd be against> >>> it.> >>> >> I don't understand your logic here. Either this is a good change or it isn't.> >> > I disagree that you can conclude that decision without some actual runtime experience. We know that Updates _mostly_ works, and I think it would be a mistake to make a knife-switch cutover to disallowing its use. If edge cases arise that the thinking so far hasn't anticipated, it would be needed as a good fallback. An informed IESG (or other stream manager) can manage its use as experience with the other proposed relationships is gathered.> >> > My own opinion: I'm not yet convinced this attempt at refining the meaning of updates will help.> >> > In earlier versions of this conversation, I've championed that we hold updates to mean what this draft calls "Amends", and that we have other mechanics (through References and text) to cover the other two semantics. Pulling these into the metadata will create some new places judgement calls will have to be made. Examples (not intended to be exhaustive):> >> >  - it's not the same thing to accept 100 informative references as it is to accept 100 "See Also" relationship links> >> > - what happens when someone asks for a See Also link to something that's not an RFC or Internet-Draft?> >> > If we proceed with this idea, we need to leave room for such things to be discovered and reasonably worked through.> >> >> If it is (and I think so), then why can't the change be mandated, by forbidding the publication of new docs using the old tags? The checking could be implemented in IdNits.> >> >>> >>     Thanks,> >>     Paul> >>> >>> Cheers,> >>> S.> >>>> >>>>> >>>> Thanks Suresh> >>>>> >>>>> >>>>> On Feb 26, 2020, at 4:07 PM, Suresh Krishnan> >>>>> <[email-masked]> wrote:> >>>>>> >>>>> Hi all, Mirja and I wrote a draft defining new tags for defining> >>>>> relations between RFCs. One of the ongoing areas of confusion> >>>>> within the RFC Series is when and how RFCs interact with each> >>>>> other. What does it mean to have one document update another? Is> >>>>> information being added, or is existing information being changed?> >>>>>> >>>>>> >>>>> Asking the question of how to indicate relationships in the> >>>>> metadata for the documents has come up a few times (one example:> >>>>> ?Subject: Proposed IESG Statement on the use of the ?Updates?> >>>>> header? [0]), though generally in the context of IETF stream> >>>>> documents only. When we wrote the draft we were aiming it solely> >>>>> for use in the IETF Stream but we realized it might have wider> >>>>> applicability.> >>>>>> >>>>> We would ideally like to see relationships between RFCs more> >>>>> clearly defined in such a way as to apply regardless of document> >>>>> stream. We have introduced this draft already to the stream> >>>>> managers of the IAB, the IRTF and the Independent streams and would> >>>>> like to hear what the community thinks about this proposal. Thanks> >>>>> to everyone on rfc-i who as already commented. We would love to get> >>>>> some feedback specifically about but not limited to> >>>>>> >>>>> * Do you have any concerns about the guidance as proposed in this> >>>>> draft? * Do you have any concerns about doing this series? wide?> >>>>>> >>>>> Regards Suresh and Mirja> >>>>>> >>>>> NOTE: Even though we are both sitting members of the IESG, we have> >>>>> written this draft solely as members of the community and we will> >>>>> no longer be IESG members if and when this draft progresses :-)> >>>>>> >>>>> [0]> >>>>> https://mailarchive.ietf.org/arch/msg/ietf/-1u_1-peHKAmUDuLyGAJYu0fPCE/> >>>>> >>>>>> >>>> _______________________________________________ rfc-interest mailing> >>>> list [email-masked]> >>>> https://www.rfc-editor.org/mailman/listinfo/rfc-interest> >>>>> >>>>> >>>> _______________________________________________> >>>> rfc-interest mailing list> >>>> [email-masked]> >>>> https://www.rfc-editor.org/mailman/listinfo/rfc-interest> >>> >> _______________________________________________> >> rfc-interest mailing list> >> [email-masked]> >> https://www.rfc-editor.org/mailman/listinfo/rfc-interest> > _______________________________________________> > rfc-interest mailing list> > [email-masked]> > https://www.rfc-editor.org/mailman/listinfo/rfc-interest>> _______________________________________________> rfc-interest mailing list> [email-masked]> https://www.rfc-editor.org/mailman/listinfo/rfc-interest------------------------------Message: 2Date: Sat, 29 Feb 2020 03:40:40 -0500From: Suresh Krishnan <[email-masked]>To: Julian Reschke <[email-masked]>Cc: [email-masked]: Re: [rfc-i] Feedback solicited: Update tags draftMessage-ID: <[email-masked]>Content-Type: text/plain;	charset=us-ascii> On Feb 27, 2020, at 3:56 PM, Julian Reschke <[email-masked]> wrote:> > On 27.02.2020 00:52, Suresh Krishnan wrote:>> Now with a link to the draft :-)>> >> https://tools.ietf.org/html/draft-kuehlewind-update-tag-01>> >> Thanks>> Suresh> > You may want to mention that this requires changes to the xml2rfc> vocabulary (RFC 7991).Thanks Julian. Will add this in the next revision.RegardsSuresh------------------------------Message: 3Date: Sat, 29 Feb 2020 03:48:28 -0500From: Suresh Krishnan <[email-masked]>To: Eric Rescorla <[email-masked]>Cc: RFC Interest <[email-masked]>Subject: Re: [rfc-i] Feedback solicited: Update tags draftMessage-ID: <[email-masked]>Content-Type: text/plain;	charset=us-asciiHi Ekr,> On Feb 28, 2020, at 9:23 AM, Eric Rescorla <[email-masked]> wrote:> > At present, I am not in favor of these changes.> > We already spend quite a bit of time debating which tags should apply when compared to the (IMO marginal) value of these tags, and this seems likely to make that worse. > > The "amended" tag in particular seems like a workaround for our refusal to simply update RFCs when they are wrong. The first rule of holes to stop digging.The option to bis the RFCs will still exist and the IESG can still guide people to do that. The goal of the Amended tag is to point implementers to other RFCs that are mandatory to implement. Right now Updates is being used both for optional extensions as well as for mandatory changes and the goal is to disambiguate this.RegardsSuresh------------------------------Message: 4Date: Sat, 29 Feb 2020 05:50:36 -0800From: Eric Rescorla <[email-masked]>To: Suresh Krishnan <[email-masked]>Cc: RFC Interest <[email-masked]>Subject: Re: [rfc-i] Feedback solicited: Update tags draftMessage-ID:	<[email-masked]>Content-Type: text/plain; charset="utf-8"On Sat, Feb 29, 2020 at 12:48 AM Suresh Krishnan <[email-masked]>wrote:> Hi Ekr,>> > On Feb 28, 2020, at 9:23 AM, Eric Rescorla <[email-masked]> wrote:> >> > At present, I am not in favor of these changes.> >> > We already spend quite a bit of time debating which tags should apply> when compared to the (IMO marginal) value of these tags, and this seems> likely to make that worse.> >> > The "amended" tag in particular seems like a workaround for our refusal> to simply update RFCs when they are wrong. The first rule of holes to stop> digging.>> The option to bis the RFCs will still exist and the IESG can still guide> people to do that. The goal of the Amended tag is to point implementers to> other RFCs that are mandatory to implement. Right now Updates is being used> both for optional extensions as well as for mandatory changes and the goal> is to disambiguate this.>I'm not talking about -bising the RFC. I'm talking about re-publishingwith the same RFC #.More generally, I don't really understand what you think "mandatory"means.Consider two cases:1. We publish an RFC X with a clear mistake. For instance, it allocates   two code points, A and B, and then in the text it says A=1 and   B=2 but in the IANA considerations it says A=1, B=1.2. We publish an RFC X with an algorithm we later determine to be bad.   For instance it says to use a parameter 2 but we later determine   that 2 is bad and 3 would be better.In the former case, I would argue that the RFC correctly read had thecode points A=1 B=2 and thus in order to be conformant with RFC X, youneed to adopt B=2.However, what would you say in the latter case?  Older implementationscontinue to be conformant with RFC X, but just not with RFC Y, whichyou publish later. So, what does "mandatory" mean in this case? Theproblem here, as usual, is the failure to have some way to refer tothe concept of the protocol rather than the concept of the RFC.-Ekr-------------- next part --------------An HTML attachment was scrubbed...URL: <http://www.rfc-editor.org/pipermail/rfc-interest/attachments/20200229/f0257e93/attachment-0001.html>------------------------------Message: 5Date: Sat, 29 Feb 2020 15:12:34 +0100From: Carsten Bormann <[email-masked]>To: Eric Rescorla <[email-masked]>Cc: Suresh Krishnan <[email-masked]>, RFC Interest	<[email-masked]>Subject: Re: [rfc-i] Feedback solicited: Update tags draftMessage-ID: <[email-masked]>Content-Type: text/plain;	charset=utf-8On 2020-02-29, at 14:50, Eric Rescorla <[email-masked]> wrote:> > However, what would you say in the latter case?  Older implementations> continue to be conformant with RFC X, but just not with RFC Y, We would need boilerplate in each RFC that includes potential future amendments.Gr??e, Carsten------------------------------Subject: Digest Footer_______________________________________________rfc-interest mailing [email-masked]://www.rfc-editor.org/mailman/listinfo/rfc-interest------------------------------End of rfc-interest Digest, Vol 184, Issue 13*********************************************

_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest